PUT Application/PutWorkflow
Request Information
URI Parameters
None.
Body Parameters
Workflow| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| ParentID | globally unique identifier |
None. |
|
| TypeID | integer |
Required |
|
| Name | string |
Required |
|
| Description | string |
None. |
|
| Sequence | integer |
Required |
|
| Active | boolean |
Required |
|
| Caption | string |
None. |
|
| IconName | string |
None. |
|
| IsMobile | boolean |
Required |
|
| Alias | string |
None. |
|
| NotificationBadgeValueViewModel | string |
None. |
|
| NotificationBadgeBackgroundColour | string |
None. |
|
| NotificationBadgeTextColour | string |
None. |
|
| IsPercentageNotificationBadge | boolean |
Required |
|
| IsVisible | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "a6d4ab67-ce46-4210-b364-6e8aa7890aa6",
"parentID": "ab219944-3212-4d3e-957f-d02596845825",
"typeID": 2,
"name": "sample string 3",
"description": "sample string 4",
"sequence": 5,
"active": true,
"caption": "sample string 7",
"iconName": "sample string 8",
"isMobile": true,
"alias": "sample string 10",
"notificationBadgeValueViewModel": "sample string 11",
"notificationBadgeBackgroundColour": "sample string 12",
"notificationBadgeTextColour": "sample string 13",
"isPercentageNotificationBadge": true,
"isVisible": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.